<template>
  <require from="./contas.css"></require>

	<div class="container-panel contas-section w-100">
    <div class="container-header">
      <h1>Gerenciamento de Contas</h1>
      <div class="cotainer-header-actions">
        <div class="actions-left">
          <button type="button" class="btn btn-primary btn-sm m-1" click.delegate="ativarConta(conta,true)" show.bind="onEditing">Ativar</button>
          <button type="button" class="btn btn-secondary btn-sm m-1" click.delegate="ativarConta(conta,false)" show.bind="onEditing">Desativar</button>
          <input value.bind="nomeConta" keyup.delegate="doSearch($event)" 
                 type="text" class="form-control m-1" id="search-account" aria-describedby="searchAccount" 
                 placeholder="pesquisar...">
          <button  type="button" class="btn btn-outline-secondary btn-sm m-1" 
          click.delegate="buscarContas()">Atualizar</button>
        </div>
        <button show.bind="isUserInRole('SUPER')"  type="button" class="btn btn-outline-secondary btn-sm m-1" 
          click.delegate="onOpenModalNewAccount()">Nova Conta</button>
      </div>
    </div>
    <div class="container-body" id="table-contas">
      <div class="table-responsive table-header-fixed">
        <table class="table table-sm table-striped">
          <thead>
              <tr>
                <th scope="col" show.bind="onEditing">
                  <i class="fa-solid fa-circle-minus fa-header-custom"></i>
                </th>
                <th scope="col">Tipo</th>
                <th scope="col">Nome</th>
                <th scope="col">Ativo</th>
                <!-- <th scope="col">Operando</th> -->
                <th scope="col">Op. Aut.</th>
                <th scope="col">Val. Fixo</th>
                <th scope="col">Perc. Ent.</th>
                <th scope="col">Meta</th>
                <th scope="col" show.bind="isUserInRole('SUPER')">Token</th>
                <th scope="col">Dt Cad.</th>
                <th scope="col">Dt Teste</th>
                <th scope="col">Dt Ativ.</th>
                <th scope="col">Dt Desativação</th>
                <th scope="col"></th>
              </tr>
            </thead> 
            <tbody>
              <tr repeat.for="conta of contasData">
                <td scope="col">${conta.tipoConta}</td>
                <td show.bind="onEditing">
                  <div class="form-check checkbox-editable">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault1">
                  </div>
                </td>
                <td  >${conta.nome}</td>
                <td class.bind="getCssConta(conta)">${conta.ativo ? 'Sim':'Não'}</td>
                <!-- <td>${conta.operando? 'Sim':'Não'}</td> -->
                <td>${conta.operacaoAutomatica? 'Sim':'Não'}</td>
                <td>R$ ${conta.valorFixoEntradaPadrao}</td>
                <td>${conta.percEntradaPadrao}%</td>
                <td>${conta.meta}%</td>
                <td show.bind="isUserInRole('SUPER')">${conta.accountKey}</td>
                <td scope="col">${conta.dataCadastroLogin}</td>
                <td scope="col">${conta.dataFimTesteS}</td>
                <td scope="col">${conta.dataAtivacaoS == ""? '-':conta.dataAtivacaoS}</td>
                <td scope="col">${conta.dataDesativacaoS == ""? '-':conta.dataDesativacaoS}</td>
                 <td>
                  <button type="button" class="btn btn-primary btn-sm" click.delegate="abrirCadastrarConta(conta)" value="ATIVAR">Editar</button>
                  <button type="button" class="btn btn-danger btn-sm" click.delegate="confirmarExcluirConta(conta)" 
                          value="REMOVER">Remover</button>
                  <button show.bind="conta.dataAtivacao == null" type="button" 
                          class="btn btn-secondary btn-sm" click.delegate="abrirContaAtivar(conta)" 
                          value="ATIVAR">Habilitar</button>
                </td>  
              </tr>
            </tbody>
        </table>
      </div>
    </div>
	</div>

  <!-- Modal -->
  <div class="modal fade" id="modalNewAccount" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalNewAccountLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
      <div class="modal-content" id="body-modal-conta">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">Nova Conta</h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row py-2 px-3" >
          <div class="col-sm-12 col-md-6 border-end content-left">
            <form class="pe-md-3">
              <div class="row g-2">
                <div class="col-12 mb-1">
                  <h4>DADOS DA CONTA</h4>
                  <h7 style="color:green" show.bind="mensagemSucesso != null">${mensagemSucesso}</h7>
                  <h7 style="color:red" show.bind="mensagemErro != null">${mensagemErro}</h7>
                </div>
                <div class="col-sm-12 col-md-8">
                  <label id="labelNome" for="input-name" class="col-form-label p-0 lh-1">Nome *</label>
                  <input value.bind="conta.nome" id="nome" type="text" class="form-control form-control-sm" id="input-name">
                </div>
                <div class="col-sm-12 col-md-4">
                  <label  for="input-data-cadastrado" class="col-form-label p-0 lh-1">Data Cadastrado</label>
                  <input disabled id="dataCadastro" value.bind="conta.dataCadastro" type="text" class="form-control form-control-sm" id="input-data-cadastrado">
                </div>
                <div class="col-sm-12">
                  <label id="labelEmail" for="input-email" class="col-form-label p-0 l-1">E-mail *</label>
                  <input value.bind="conta.email" id="email" type="text" class="form-control form-control-sm" id="input-email">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelLogin" for="input-login-bf" class="col-form-label p-0 lh-1">Login Betfair *</label>
                  <input disabled.bind="conta.id != null" value.bind="conta.login" id="login" type="text" class="form-control form-control-sm" id="input-login-bf">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelSenha" for="input-senha-bf" class="col-form-label p-0 lh-1">Senha Betfair *</label>
                  <input value.bind="conta.senha" id="senha" type="text" class="form-control form-control-sm" id="input-senha-bf">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelCelular" for="input-whats" class="col-form-label p-0 lh-1">Celular *</label>
                  <input value.bind="conta.celular" id="celular" type="text" class="form-control form-control-sm" id="input-whats" style="max-width: 100px;">
                </div>
                <div class="col-md-12 col-lg-6" if.bind="isUserInRole('SUPER')">
                  <label  id="labelCreditos" for="input-whats" class="col-form-label p-0 lh-1">Creditos</label>
                  <input value.bind="conta.creditos" id="celular" type="number" class="form-control form-control-sm" id="input-whats" style="max-width: 100px;">
                </div>
                <div class="col-md-12 col-lg-6" if.bind="isUserInRole('SUPER')">
                  <label  id="labelCreditos" for="input-whats" class="col-form-label p-0 lh-1">Tipo de conta</label>
                  <select class="form-select form-select-sm" aria-label="Tipo de conta" 
                          value.bind="conta.tipo" matcher.bind="selectMatcher" >
                    <option repeat.for="o of tipoConta" model.bind="o.id">
                      ${o.value}
                    </option>
                  </select>
                </div>
                <div class="col-6 d-flex align-items-end">
                  <div class="form-check">
                    <input class="form-check-input" type="checkbox" checked.bind="conta.ativo" id="check-ativo">
                    <label class="form-check-label" for="check-ativo">
                      Ativo
                    </label>
                  </div>
                </div>
                <div class="col-6 d-flex align-items-end">
                <div class="form-check">
                  <input class="form-check-input" type="checkbox" checked.bind="conta.copyTips" id="check-ativo">
                  <label class="form-check-label" for="check-ativo">
                    Entrada Tips automática?
                  </label>
                </div>
              </div>
              </div>
            </form>
          </div>
          <div class="col-sm-12 col-md-6 content-right">
            <form class="ps-md-3">
              <div class="row g-2">
                <div class="col-12 mb-1">
                  <h4>FORMATO DE OPERAÇÃO AUTOMÁTICA</h4>
                </div>
                <div class="col-md-12 col-lg-6">
                  <label for="input-name" class="col-form-label p-0 w-100 lh-1">Habilitar operação automática?</label>
                  <label class="form-check-label me-2" repeat.for="v of operacao">
                    <input type="radio" name="operacao" disabled.bind="!conta.pagouRobo" class="form-check-input"
                            model.bind="v.id" checked.bind="conta.operacaoAutomatica">
                           ${v.name}
                  </label>
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelMeta" for="input-meta-diaria" class="col-form-label p-0 lh-1">Meta Diária</label>
                  <input min="0" disabled.bind="!conta.pagouRobo || !conta.operacaoAutomatica" type="number" value.bind="conta.meta" class="form-control form-control-sm" id="meta-diaria" style="width: 60px;">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label for="input-name" class="col-form-label p-0 w-100 lh-1">Valor fixo entrada?</label>
                    <label class="form-check-label me-2" repeat.for="v of valorFixo" >
                      <input type="radio" name="valorFixo" class="form-check-input"  
                             disabled.bind="!conta.pagouRobo && (!conta.operacaoAutomatica)"
                              model.bind="v.id" checked.bind="conta.precoFixo">
                             ${v.name}
                    </label>
                </div>
                <div class="col-md-12 col-lg-6">
                  <div class="row">
                    <div class="col-6">
                      <label id="labelValorFixo" for="input-valor-fixo" class="col-form-label p-0 lh-1">Valor fixo</label>
                      <input min="0" disabled.bind="!conta.pagouRobo && (!conta.precoFixo  || !conta.operacaoAutomatica)" value.bind="conta.valorFixoEntrada" type="number" class="form-control form-control-sm" id="input-valor-fixo">
                    </div>
                    <div class="col-6">
                      <label id="labelPorcentagem" for="input-porcentagem" class="col-form-label p-0 lh-1">Porcentagem</label>
                      <input  min="0" disabled.bind="!conta.pagouRobo &&(conta.precoFixo || !conta.operacaoAutomatica)" value.bind="conta.percEntradaPadrao" type="number" class="form-control form-control-sm" id="input-porcentagem">
                    </div>
                  </div>
                </div>
              </div> 
            </form>
          </div> 
        </div>
        <div class="modal-footer p-0">
          <button id="btnCloseModaAccount" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
          <button type="button" click.delegate="cadastrarConta()" class="btn btn-primary">Salvar</button>
          <button show.bind="!conta.pagouRobo" click.delegate="perguntaHabilitarRobo(conta)" id="btnHabilitarRobo" type="button" class="btn btn-warning">Habilitar Robô</button>
        </div>
      </div>
    </div>
  </div>


  <div class="modal fade" id="modaAtivarConta" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalNewAccountLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
      <div class="modal-content" id="body-modal-conta">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">ATIVAÇÃO DE CONTA</h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row py-2 px-3" >
          <div class="col-sm-12 col-md-6 border-end content-left">
            <form class="pe-md-3">
              <div class="row g-2">
                <div class="col-12 mb-1">
                  <h4>DADOS DA CONTA</h4>
                  <h7 style="color:green" show.bind="mensagemAtivacaoConta != null">${mensagemAtivacaoConta}</h7>
                </div>
                <div class="col-sm-12 col-md-8">
                  <label id="labelNome" for="input-name" class="col-form-label p-0 lh-1">Nome *</label>
                  <input disabled value.bind="conta.nome" id="nome" type="text" class="form-control form-control-sm" id="input-name">
                </div>
                <div class="col-sm-12 col-md-4">
                  <label  for="input-data-cadastrado" class="col-form-label p-0 lh-1">Data Cadastrado</label>
                  <input disabled id="dataCadastro" value.bind="conta.dataCadastro" type="text" class="form-control form-control-sm" id="input-data-cadastrado">
                </div>
                <div class="col-sm-12">
                  <label id="labelEmail" for="input-email" class="col-form-label p-0 l-1">E-mail *</label>
                  <input disabled value.bind="conta.email" id="email" type="text" class="form-control form-control-sm" id="input-email">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelLogin" for="input-login-bf" class="col-form-label p-0 lh-1">Login Betfair *</label>
                  <input disabled.bind="conta.id != null" value.bind="conta.login" id="login" type="text" class="form-control form-control-sm" id="input-login-bf">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelSenha" for="input-senha-bf" class="col-form-label p-0 lh-1">Senha Betfair *</label>
                  <input disabled value.bind="conta.senha" id="senha" type="text" class="form-control form-control-sm" id="input-senha-bf">
                </div>
                <div class="col-md-12 col-lg-6">
                  <label id="labelCelular" for="input-whats" class="col-form-label p-0 lh-1">Celular *</label>
                  <input disabled value.bind="conta.celular" id="celular" type="text" class="form-control form-control-sm" id="input-whats" style="max-width: 100px;">
                </div>
                <div class="col-6 d-flex align-items-end">
                  <div class="form-check">
                    <input disabled class="form-check-input" type="checkbox" checked.bind="conta.ativo" id="check-ativo">
                    <label class="form-check-label" for="check-ativo">
                      Ativo
                    </label>
                  </div>
                </div>
                <!-- <div class="col-6 d-flex justify-content-end">
                  <button type="button"  click.delegate="testarConta()" class="btn btn-dark">Testar Conta</button>
                </div> -->
              </div>
            </form>
          </div>
          <div class="col-sm-12 col-md-6 content-right">
            <form class="ps-md-3">
              <div class="row g-2">
                <div class="col-12 mb-1">
                  <h4>DETALHES DA ATIVAÇÃO</h4>
                  <h6>VOCÊ POSSUI ${login.creditos} CRÉDITOS PARA REALIZAR ATIVAÇÕES</h6>
                </div>
                <div class="col-sm-12 col-md-4">
                  <label  for="input-data-cadastrado" class="col-form-label p-0 lh-1">Data Ativação</label>
                  <input disabled id="dataCadastro" value.bind="conta.dataCadastro" type="text" class="form-control form-control-sm" id="input-data-cadastrado">
                </div>
                <div class="col-sm-12 col-md-4">
                  <label  for="input-data-cadastrado" class="col-form-label p-0 lh-1">Data Desativação</label>
                  <input disabled id="dataCadastro" value.bind="conta.dataCadastro" type="text" class="form-control form-control-sm" id="input-data-cadastrado">
                </div>
              </div> 
            </form>
          </div>
        </div>
        <div class="modal-footer p-0">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
          <button type="button" click.delegate="ativarConta()" class="btn btn-primary">Ativar conta</button>
        </div>
      </div>
    </div>
  </div>

</template>
